Index: trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLDocumentSpec.java
===================================================================
--- trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLDocumentSpec.java	(revision 1876)
+++ trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLDocumentSpec.java	(revision 2146)
@@ -15,4 +15,5 @@
 package de.ugoe.cs.autoquest.plugin.html.guimodel;
 
+import de.ugoe.cs.autoquest.eventcore.IEventTargetSpec;
 import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIView;
@@ -99,5 +100,5 @@
      */
     @Override
-    public boolean getSimilarity(IGUIElementSpec other) {
+    public boolean getSimilarity(IEventTargetSpec other) {
         if (other instanceof HTMLDocumentSpec) {
             HTMLDocumentSpec otherSpec = (HTMLDocumentSpec) other;
Index: trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLGUIElement.java
===================================================================
--- trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLGUIElement.java	(revision 1876)
+++ trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLGUIElement.java	(revision 2146)
@@ -15,6 +15,6 @@
 package de.ugoe.cs.autoquest.plugin.html.guimodel;
 
+import de.ugoe.cs.autoquest.eventcore.IEventTargetSpec;
 import de.ugoe.cs.autoquest.eventcore.guimodel.AbstractDefaultGUIElement;
-import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 
 /**
@@ -113,6 +113,6 @@
      */
     @Override
-    public void updateSpecification(IGUIElementSpec updateSpecification) {
-        // nothing to do. There is not need for handle things such as name changes, etc.
+    public void updateSpecification(IEventTargetSpec updateSpecification) {
+        // nothing to do. There is no need for handle things such as name changes, etc.
     }
 
Index: trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLGUIElementSpec.java
===================================================================
--- trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLGUIElementSpec.java	(revision 1876)
+++ trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLGUIElementSpec.java	(revision 2146)
@@ -15,4 +15,5 @@
 package de.ugoe.cs.autoquest.plugin.html.guimodel;
 
+import de.ugoe.cs.autoquest.eventcore.IEventTargetSpec;
 import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 
@@ -78,5 +79,5 @@
      */
     @Override
-    public boolean getSimilarity(IGUIElementSpec other) {
+    public boolean getSimilarity(IEventTargetSpec other) {
         if (other instanceof HTMLGUIElementSpec) {
             HTMLGUIElementSpec otherSpec = (HTMLGUIElementSpec) other;
Index: trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLPageElementSpec.java
===================================================================
--- trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLPageElementSpec.java	(revision 1876)
+++ trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLPageElementSpec.java	(revision 2146)
@@ -15,4 +15,5 @@
 package de.ugoe.cs.autoquest.plugin.html.guimodel;
 
+import de.ugoe.cs.autoquest.eventcore.IEventTargetSpec;
 import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 
@@ -108,5 +109,5 @@
      */
     @Override
-    public boolean getSimilarity(IGUIElementSpec other) {
+    public boolean getSimilarity(IEventTargetSpec other) {
         if (other instanceof HTMLPageElementSpec) {
             HTMLPageElementSpec otherSpec = (HTMLPageElementSpec) other;
Index: trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLServerSpec.java
===================================================================
--- trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLServerSpec.java	(revision 1876)
+++ trunk/autoquest-plugin-html/src/main/java/de/ugoe/cs/autoquest/plugin/html/guimodel/HTMLServerSpec.java	(revision 2146)
@@ -15,4 +15,5 @@
 package de.ugoe.cs.autoquest.plugin.html.guimodel;
 
+import de.ugoe.cs.autoquest.eventcore.IEventTargetSpec;
 import de.ugoe.cs.autoquest.eventcore.guimodel.IGUIElementSpec;
 
@@ -77,5 +78,5 @@
      */
     @Override
-    public boolean getSimilarity(IGUIElementSpec other) {
+    public boolean getSimilarity(IEventTargetSpec other) {
         if (other instanceof HTMLServerSpec) {
             HTMLServerSpec otherSpec = (HTMLServerSpec) other;
